
package de.ivu.elect.presentation.wahlvorschlag.table;

import de.ivu.elect.business.gruppe.entity.ReferendumVorlageConstants;
import de.ivu.elect.business.wahlvorschlag.entity.ReferendumOptionKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class ReferendumOptionKumulierteStimmenReferendumVorlageNameColumn extends AbstractReferendumOptionKumulierteStimmenColumn {

  private static final long serialVersionUID = 1L;

  public ReferendumOptionKumulierteStimmenReferendumVorlageNameColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(ReferendumVorlageConstants.MESSAGE_KEY_NAME_EINZAHL);
  }

  @Override
  public Object getValue(ReferendumOptionKumulierteStimmen referendumOptionKumulierteStimmen) {
    return referendumOptionKumulierteStimmen.getGruppeBezeichnung();
  }
}
